Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class HorizontalFillList

    java.lang.Object
      net.sf.jasperreports.engine.component.BaseFillComponent
          net.sf.jasperreports.components.list.BaseFillList
              net.sf.jasperreports.components.list.HorizontalFillList

All Implemented Interfaces:
  FillComponent

    public class HorizontalFillList

extends BaseFillList

Horizontal fill list component implementation.

Version:
  $Id: HorizontalFillList.java 3238 2009-12-28 15:12:33Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.components.list.BaseFillList
`BaseFillList.AppendingPrintElementContainer`

Field Summary

Fields inherited from class net.sf.jasperreports.components.list.BaseFillList
`contentsHeight, datasetRun, filling, fillStarted, printFrame, printFrameTemplates`

Fields inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`fillContext`

Constructor Summary
`HorizontalFillList(ListComponent component, JRFillObjectFactory factory)`

Method Summary
`protected void` | `fillRow(int columnCount)`
`protected FillListContents` | `getContents(int columnIndex)`
`FillPrepareResult` | `prepare(int availableHeight)` Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.
`void` | `rewind()` The default implementation is empty.

Methods inherited from class net.sf.jasperreports.components.list.BaseFillList
`createDatasetExpressionEvaluator, createPrintFrame, evaluate, fill, getFrameTemplate`

Methods inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`evaluateDelayedElement, evaluateExpression, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HorizontalFillList

    public HorizontalFillList(ListComponent component,
                              JRFillObjectFactory factory)
                       throws JRException

Throws:
  `JRException`

Method Detail

### prepare

    public FillPrepareResult prepare(int availableHeight)

  Description copied from interface: `FillComponent`
  Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.

  Parameters:
    `availableHeight` - the amount of vertical space available for the component, starting from the top of the component element.
  Returns:
    the result of the preparation, which specifies whether the component will print and how much it will stretch vertically.

### fillRow

    protected void fillRow(int columnCount)
                    throws JRException

  Throws:
    `JRException`

### getContents

    protected FillListContents getContents(int columnIndex)

### rewind

    public void rewind()

  Description copied from class: `BaseFillComponent`
  The default implementation is empty.

  Override this method if something needs to be done on component rewind.

  Specified by:
    `rewind` in interface `FillComponent`
  Overrides:
    `rewind` in class `BaseFillList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com